<script setup lang="ts">
import { RouterLink } from 'vue-router'
</script>

<script lang="ts">
export default {
  props: ['post']
}
</script>

<template>
  <h1>{{ post.title }}</h1>
  <p>{{ post.body }}</p>
  <RouterLink :to="{ name: 'post', params: { id: post.id } }">See more</RouterLink>
</template>
